<div 
    :class="[
        'blur-device-switch',
        `layout-${layout}`
    ]">

    <div 
        v-for="viewport in viewports"
        :class="[
            'blur-device-switch-item',
            viewport.name === activeViewport ? 'active' : null
        ]"
        @click="changeViewport(viewport.name)">

        <div v-tooltip="{
            message: $t('blurElysium.general.switchDevice', { device: viewport.label }),
            }"
            :class="['blur-device-switch-icon']">

            <blur-icon 
                :name="viewport.icon" 
                size="16" />
        </div>

        <div 
            v-if="showLabel === true"
            v-html="viewport.label" 
            :class="['blur-device-switch-label']" />
    </div>
</div>